
/*
* Copyright (C) 2004-2014 Texas Instruments Incorporated - http://www.ti.com/
* All rights reserved.	
*
*  Redistribution and use in source and binary forms, with or without
*  modification, are permitted provided that the following conditions
*  are met:
*
*    Redistributions of source code must retain the above copyright
*    notice, this list of conditions and the following disclaimer.
*
*    Redistributions in binary form must reproduce the above copyright
*    notice, this list of conditions and the following disclaimer in the
*    documentation and/or other materials provided with the
*    distribution.
*
*    Neither the name of Texas Instruments Incorporated nor the names of
*    its contributors may be used to endorse or promote products derived
*    from this software without specific prior written permission.
*
*  THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS 
*  "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT
*  LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR
*  A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT
*  OWNER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
*  SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
*  LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,
*  DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY
*  THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
*  (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE
*  OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
*
*/

#ifndef _CSLR__PSC_1_H_
#define _CSLR__PSC_1_H_

#include <cslr.h>

#include <tistdtypes.h>


/* Minimum unit = 1 byte */

/**************************************************************************\
* Register Overlay Structure
\**************************************************************************/
typedef struct  {
    volatile Uint32 PID;
    volatile Uint8 RSVD0[12];
    volatile Uint32 GBLCTL;
    volatile Uint32 GBLSTAT;
    volatile Uint32 INTEVAL;
    volatile Uint32 IPWKCNT;
    volatile Uint8 RSVD1[32];
    volatile Uint32 MERRPR[2];
    volatile Uint8 RSVD2[8];
    volatile Uint32 MERRCR[2];
    volatile Uint8 RSVD3[8];
    volatile Uint32 PERRPR;
    volatile Uint8 RSVD4[4];
    volatile Uint32 PERRCR;
    volatile Uint8 RSVD5[4];
    volatile Uint32 EPCPR;
    volatile Uint8 RSVD6[4];
    volatile Uint32 EPCCR;
    volatile Uint8 RSVD7[132];
    volatile Uint32 RAILSTAT;
    volatile Uint32 RAILCTL;
    volatile Uint32 RAILSEL;
    volatile Uint8 RSVD8[20];
    volatile Uint32 PTCMD;
    volatile Uint8 RSVD9[4];
    volatile Uint32 PTSTAT;
    volatile Uint8 RSVD10[212];
    volatile Uint32 PDSTAT[32];
    volatile Uint8 RSVD11[128];
    volatile Uint32 PDCTL[32];
    volatile Uint8 RSVD12[128];
    volatile Uint32 PDCFG[32];
    volatile Uint8 RSVD13[384];
    volatile Uint32 MDCFG[32];
    volatile Uint8 RSVD14[384];
    volatile Uint32 MDSTAT[32];
    volatile Uint8 RSVD15[384];
    volatile Uint32 MDCTL[32];
} CSL_PscRegs;

/**************************************************************************\
* Field Definition Macros
\**************************************************************************/

/* PID */

#define CSL_PSC_PID_SCHEME_MASK (0xC0000000u)
#define CSL_PSC_PID_SCHEME_SHIFT (0x0000001Eu)
#define CSL_PSC_PID_SCHEME_RESETVAL (0x00000001u)


#define CSL_PSC_PID_FUNC_MASK (0x0FFF0000u)
#define CSL_PSC_PID_FUNC_SHIFT (0x00000010u)
#define CSL_PSC_PID_FUNC_RESETVAL (0x00000482u)

#define CSL_PSC_PID_RTL_MASK (0x0000F800u)
#define CSL_PSC_PID_RTL_SHIFT (0x0000000Bu)
#define CSL_PSC_PID_RTL_RESETVAL (0x00000000u)

#define CSL_PSC_PID_MAJOR_MASK (0x00000700u)
#define CSL_PSC_PID_MAJOR_SHIFT (0x00000008u)
#define CSL_PSC_PID_MAJOR_RESETVAL (0x00000002u)

#define CSL_PSC_PID_CUSTOM_MASK (0x000000C0u)
#define CSL_PSC_PID_CUSTOM_SHIFT (0x00000006u)
#define CSL_PSC_PID_CUSTOM_RESETVAL (0x00000000u)

#define CSL_PSC_PID_MINOR_MASK (0x0000003Fu)
#define CSL_PSC_PID_MINOR_SHIFT (0x00000000u)
#define CSL_PSC_PID_MINOR_RESETVAL (0x00000000u)

#define CSL_PSC_PID_RESETVAL (0x44820200u)

/* GBLCTL */


#define CSL_PSC_GBLCTL_ID_ANA_CTL_MASK (0x0000FF00u)
#define CSL_PSC_GBLCTL_ID_ANA_CTL_SHIFT (0x00000008u)
#define CSL_PSC_GBLCTL_ID_ANA_CTL_RESETVAL (0x00000000u)



#define CSL_PSC_GBLCTL_RESETVAL (0x00000000u)

/* GBLSTAT */


#define CSL_PSC_GBLSTAT_EF_SMRFLEX_MASK (0x0000FF00u)
#define CSL_PSC_GBLSTAT_EF_SMRFLEX_SHIFT (0x00000008u)
#define CSL_PSC_GBLSTAT_EF_SMRFLEX_RESETVAL (0x00000000u)


#define CSL_PSC_GBLSTAT_OVRIDE_MASK (0x00000001u)
#define CSL_PSC_GBLSTAT_OVRIDE_SHIFT (0x00000000u)
#define CSL_PSC_GBLSTAT_OVRIDE_RESETVAL (0x00000000u)

#define CSL_PSC_GBLSTAT_RESETVAL (0x00000000u)

/* INTEVAL */


#define CSL_PSC_INTEVAL_GOSET_MASK (0x00080000u)
#define CSL_PSC_INTEVAL_GOSET_SHIFT (0x00000013u)
#define CSL_PSC_INTEVAL_GOSET_RESETVAL (0x00000000u)

#define CSL_PSC_INTEVAL_EPCSET_MASK (0x00040000u)
#define CSL_PSC_INTEVAL_EPCSET_SHIFT (0x00000012u)
#define CSL_PSC_INTEVAL_EPCSET_RESETVAL (0x00000000u)

#define CSL_PSC_INTEVAL_ERRSET_MASK (0x00020000u)
#define CSL_PSC_INTEVAL_ERRSET_SHIFT (0x00000011u)
#define CSL_PSC_INTEVAL_ERRSET_RESETVAL (0x00000000u)

#define CSL_PSC_INTEVAL_ALLSET_MASK (0x00010000u)
#define CSL_PSC_INTEVAL_ALLSET_SHIFT (0x00000010u)
#define CSL_PSC_INTEVAL_ALLSET_RESETVAL (0x00000000u)


#define CSL_PSC_INTEVAL_MPEV_MASK (0x00000008u)
#define CSL_PSC_INTEVAL_MPEV_SHIFT (0x00000003u)
#define CSL_PSC_INTEVAL_MPEV_RESETVAL (0x00000000u)

#define CSL_PSC_INTEVAL_EPCEV_MASK (0x00000004u)
#define CSL_PSC_INTEVAL_EPCEV_SHIFT (0x00000002u)
#define CSL_PSC_INTEVAL_EPCEV_RESETVAL (0x00000000u)

#define CSL_PSC_INTEVAL_ERREV_MASK (0x00000002u)
#define CSL_PSC_INTEVAL_ERREV_SHIFT (0x00000001u)
#define CSL_PSC_INTEVAL_ERREV_RESETVAL (0x00000000u)

#define CSL_PSC_INTEVAL_ALLEV_MASK (0x00000001u)
#define CSL_PSC_INTEVAL_ALLEV_SHIFT (0x00000000u)
#define CSL_PSC_INTEVAL_ALLEV_RESETVAL (0x00000000u)

#define CSL_PSC_INTEVAL_RESETVAL (0x00000000u)

/* IPWKCNT */


#define CSL_PSC_IPWKCNT_WAKECNT5_MASK (0x3E000000u)
#define CSL_PSC_IPWKCNT_WAKECNT5_SHIFT (0x00000019u)
#define CSL_PSC_IPWKCNT_WAKECNT5_RESETVAL (0x00000000u)

#define CSL_PSC_IPWKCNT_WAKECNT4_MASK (0x01F00000u)
#define CSL_PSC_IPWKCNT_WAKECNT4_SHIFT (0x00000014u)
#define CSL_PSC_IPWKCNT_WAKECNT4_RESETVAL (0x00000000u)

#define CSL_PSC_IPWKCNT_WAKECNT3_MASK (0x000F8000u)
#define CSL_PSC_IPWKCNT_WAKECNT3_SHIFT (0x0000000Fu)
#define CSL_PSC_IPWKCNT_WAKECNT3_RESETVAL (0x00000000u)

#define CSL_PSC_IPWKCNT_WAKECNT2_MASK (0x00007C00u)
#define CSL_PSC_IPWKCNT_WAKECNT2_SHIFT (0x0000000Au)
#define CSL_PSC_IPWKCNT_WAKECNT2_RESETVAL (0x00000000u)

#define CSL_PSC_IPWKCNT_WAKECNT1_MASK (0x000003E0u)
#define CSL_PSC_IPWKCNT_WAKECNT1_SHIFT (0x00000005u)
#define CSL_PSC_IPWKCNT_WAKECNT1_RESETVAL (0x00000000u)

#define CSL_PSC_IPWKCNT_WAKECNT0_MASK (0x0000001Fu)
#define CSL_PSC_IPWKCNT_WAKECNT0_SHIFT (0x00000000u)
#define CSL_PSC_IPWKCNT_WAKECNT0_RESETVAL (0x00000000u)

#define CSL_PSC_IPWKCNT_RESETVAL (0x00000000u)

/* MERRPR */

#define CSL_PSC_MERRPR_M31_MASK (0x80000000u)
#define CSL_PSC_MERRPR_M31_SHIFT (0x0000001Fu)
#define CSL_PSC_MERRPR_M31_RESETVAL (0x00000000u)

#define CSL_PSC_MERRPR_M30_MASK (0x40000000u)
#define CSL_PSC_MERRPR_M30_SHIFT (0x0000001Eu)
#define CSL_PSC_MERRPR_M30_RESETVAL (0x00000000u)

#define CSL_PSC_MERRPR_M29_MASK (0x20000000u)
#define CSL_PSC_MERRPR_M29_SHIFT (0x0000001Du)
#define CSL_PSC_MERRPR_M29_RESETVAL (0x00000000u)

#define CSL_PSC_MERRPR_M28_MASK (0x10000000u)
#define CSL_PSC_MERRPR_M28_SHIFT (0x0000001Cu)
#define CSL_PSC_MERRPR_M28_RESETVAL (0x00000000u)

#define CSL_PSC_MERRPR_M27_MASK (0x08000000u)
#define CSL_PSC_MERRPR_M27_SHIFT (0x0000001Bu)
#define CSL_PSC_MERRPR_M27_RESETVAL (0x00000000u)

#define CSL_PSC_MERRPR_M26_MASK (0x04000000u)
#define CSL_PSC_MERRPR_M26_SHIFT (0x0000001Au)
#define CSL_PSC_MERRPR_M26_RESETVAL (0x00000000u)

#define CSL_PSC_MERRPR_M25_MASK (0x02000000u)
#define CSL_PSC_MERRPR_M25_SHIFT (0x00000019u)
#define CSL_PSC_MERRPR_M25_RESETVAL (0x00000000u)

#define CSL_PSC_MERRPR_M24_MASK (0x01000000u)
#define CSL_PSC_MERRPR_M24_SHIFT (0x00000018u)
#define CSL_PSC_MERRPR_M24_RESETVAL (0x00000000u)

#define CSL_PSC_MERRPR_M23_MASK (0x00800000u)
#define CSL_PSC_MERRPR_M23_SHIFT (0x00000017u)
#define CSL_PSC_MERRPR_M23_RESETVAL (0x00000000u)

#define CSL_PSC_MERRPR_M22_MASK (0x00400000u)
#define CSL_PSC_MERRPR_M22_SHIFT (0x00000016u)
#define CSL_PSC_MERRPR_M22_RESETVAL (0x00000000u)

#define CSL_PSC_MERRPR_M21_MASK (0x00200000u)
#define CSL_PSC_MERRPR_M21_SHIFT (0x00000015u)
#define CSL_PSC_MERRPR_M21_RESETVAL (0x00000000u)

#define CSL_PSC_MERRPR_M20_MASK (0x00100000u)
#define CSL_PSC_MERRPR_M20_SHIFT (0x00000014u)
#define CSL_PSC_MERRPR_M20_RESETVAL (0x00000000u)

#define CSL_PSC_MERRPR_M19_MASK (0x00080000u)
#define CSL_PSC_MERRPR_M19_SHIFT (0x00000013u)
#define CSL_PSC_MERRPR_M19_RESETVAL (0x00000000u)

#define CSL_PSC_MERRPR_M18_MASK (0x00040000u)
#define CSL_PSC_MERRPR_M18_SHIFT (0x00000012u)
#define CSL_PSC_MERRPR_M18_RESETVAL (0x00000000u)

#define CSL_PSC_MERRPR_M17_MASK (0x00020000u)
#define CSL_PSC_MERRPR_M17_SHIFT (0x00000011u)
#define CSL_PSC_MERRPR_M17_RESETVAL (0x00000000u)

#define CSL_PSC_MERRPR_M16_MASK (0x00010000u)
#define CSL_PSC_MERRPR_M16_SHIFT (0x00000010u)
#define CSL_PSC_MERRPR_M16_RESETVAL (0x00000000u)

#define CSL_PSC_MERRPR_M15_MASK (0x00008000u)
#define CSL_PSC_MERRPR_M15_SHIFT (0x0000000Fu)
#define CSL_PSC_MERRPR_M15_RESETVAL (0x00000000u)

#define CSL_PSC_MERRPR_M14_MASK (0x00004000u)
#define CSL_PSC_MERRPR_M14_SHIFT (0x0000000Eu)
#define CSL_PSC_MERRPR_M14_RESETVAL (0x00000000u)

#define CSL_PSC_MERRPR_M13_MASK (0x00002000u)
#define CSL_PSC_MERRPR_M13_SHIFT (0x0000000Du)
#define CSL_PSC_MERRPR_M13_RESETVAL (0x00000000u)

#define CSL_PSC_MERRPR_M12_MASK (0x00001000u)
#define CSL_PSC_MERRPR_M12_SHIFT (0x0000000Cu)
#define CSL_PSC_MERRPR_M12_RESETVAL (0x00000000u)

#define CSL_PSC_MERRPR_M11_MASK (0x00000800u)
#define CSL_PSC_MERRPR_M11_SHIFT (0x0000000Bu)
#define CSL_PSC_MERRPR_M11_RESETVAL (0x00000000u)

#define CSL_PSC_MERRPR_M10_MASK (0x00000400u)
#define CSL_PSC_MERRPR_M10_SHIFT (0x0000000Au)
#define CSL_PSC_MERRPR_M10_RESETVAL (0x00000000u)

#define CSL_PSC_MERRPR_M9_MASK (0x00000200u)
#define CSL_PSC_MERRPR_M9_SHIFT (0x00000009u)
#define CSL_PSC_MERRPR_M9_RESETVAL (0x00000000u)

#define CSL_PSC_MERRPR_M8_MASK (0x00000100u)
#define CSL_PSC_MERRPR_M8_SHIFT (0x00000008u)
#define CSL_PSC_MERRPR_M8_RESETVAL (0x00000000u)

#define CSL_PSC_MERRPR_M7_MASK (0x00000080u)
#define CSL_PSC_MERRPR_M7_SHIFT (0x00000007u)
#define CSL_PSC_MERRPR_M7_RESETVAL (0x00000000u)

#define CSL_PSC_MERRPR_M6_MASK (0x00000040u)
#define CSL_PSC_MERRPR_M6_SHIFT (0x00000006u)
#define CSL_PSC_MERRPR_M6_RESETVAL (0x00000000u)

#define CSL_PSC_MERRPR_M5_MASK (0x00000020u)
#define CSL_PSC_MERRPR_M5_SHIFT (0x00000005u)
#define CSL_PSC_MERRPR_M5_RESETVAL (0x00000000u)

#define CSL_PSC_MERRPR_M4_MASK (0x00000010u)
#define CSL_PSC_MERRPR_M4_SHIFT (0x00000004u)
#define CSL_PSC_MERRPR_M4_RESETVAL (0x00000000u)

#define CSL_PSC_MERRPR_M3_MASK (0x00000008u)
#define CSL_PSC_MERRPR_M3_SHIFT (0x00000003u)
#define CSL_PSC_MERRPR_M3_RESETVAL (0x00000000u)

#define CSL_PSC_MERRPR_M2_MASK (0x00000004u)
#define CSL_PSC_MERRPR_M2_SHIFT (0x00000002u)
#define CSL_PSC_MERRPR_M2_RESETVAL (0x00000000u)

#define CSL_PSC_MERRPR_M1_MASK (0x00000002u)
#define CSL_PSC_MERRPR_M1_SHIFT (0x00000001u)
#define CSL_PSC_MERRPR_M1_RESETVAL (0x00000000u)

#define CSL_PSC_MERRPR_M0_MASK (0x00000001u)
#define CSL_PSC_MERRPR_M0_SHIFT (0x00000000u)
#define CSL_PSC_MERRPR_M0_RESETVAL (0x00000000u)


#define CSL_PSC_MERRPR_RESETVAL (0x00000000u)

/* MERRCR */

#define CSL_PSC_MERRCR_M31_MASK (0x80000000u)
#define CSL_PSC_MERRCR_M31_SHIFT (0x0000001Fu)
#define CSL_PSC_MERRCR_M31_RESETVAL (0x00000000u)

#define CSL_PSC_MERRCR_M30_MASK (0x40000000u)
#define CSL_PSC_MERRCR_M30_SHIFT (0x0000001Eu)
#define CSL_PSC_MERRCR_M30_RESETVAL (0x00000000u)

#define CSL_PSC_MERRCR_M29_MASK (0x20000000u)
#define CSL_PSC_MERRCR_M29_SHIFT (0x0000001Du)
#define CSL_PSC_MERRCR_M29_RESETVAL (0x00000000u)

#define CSL_PSC_MERRCR_M28_MASK (0x10000000u)
#define CSL_PSC_MERRCR_M28_SHIFT (0x0000001Cu)
#define CSL_PSC_MERRCR_M28_RESETVAL (0x00000000u)

#define CSL_PSC_MERRCR_M27_MASK (0x08000000u)
#define CSL_PSC_MERRCR_M27_SHIFT (0x0000001Bu)
#define CSL_PSC_MERRCR_M27_RESETVAL (0x00000000u)

#define CSL_PSC_MERRCR_M26_MASK (0x04000000u)
#define CSL_PSC_MERRCR_M26_SHIFT (0x0000001Au)
#define CSL_PSC_MERRCR_M26_RESETVAL (0x00000000u)

#define CSL_PSC_MERRCR_M25_MASK (0x02000000u)
#define CSL_PSC_MERRCR_M25_SHIFT (0x00000019u)
#define CSL_PSC_MERRCR_M25_RESETVAL (0x00000000u)

#define CSL_PSC_MERRCR_M24_MASK (0x01000000u)
#define CSL_PSC_MERRCR_M24_SHIFT (0x00000018u)
#define CSL_PSC_MERRCR_M24_RESETVAL (0x00000000u)

#define CSL_PSC_MERRCR_M23_MASK (0x00800000u)
#define CSL_PSC_MERRCR_M23_SHIFT (0x00000017u)
#define CSL_PSC_MERRCR_M23_RESETVAL (0x00000000u)

#define CSL_PSC_MERRCR_M22_MASK (0x00400000u)
#define CSL_PSC_MERRCR_M22_SHIFT (0x00000016u)
#define CSL_PSC_MERRCR_M22_RESETVAL (0x00000000u)

#define CSL_PSC_MERRCR_M21_MASK (0x00200000u)
#define CSL_PSC_MERRCR_M21_SHIFT (0x00000015u)
#define CSL_PSC_MERRCR_M21_RESETVAL (0x00000000u)

#define CSL_PSC_MERRCR_M20_MASK (0x00100000u)
#define CSL_PSC_MERRCR_M20_SHIFT (0x00000014u)
#define CSL_PSC_MERRCR_M20_RESETVAL (0x00000000u)

#define CSL_PSC_MERRCR_M19_MASK (0x00080000u)
#define CSL_PSC_MERRCR_M19_SHIFT (0x00000013u)
#define CSL_PSC_MERRCR_M19_RESETVAL (0x00000000u)

#define CSL_PSC_MERRCR_M18_MASK (0x00040000u)
#define CSL_PSC_MERRCR_M18_SHIFT (0x00000012u)
#define CSL_PSC_MERRCR_M18_RESETVAL (0x00000000u)

#define CSL_PSC_MERRCR_M17_MASK (0x00020000u)
#define CSL_PSC_MERRCR_M17_SHIFT (0x00000011u)
#define CSL_PSC_MERRCR_M17_RESETVAL (0x00000000u)

#define CSL_PSC_MERRCR_M16_MASK (0x00010000u)
#define CSL_PSC_MERRCR_M16_SHIFT (0x00000010u)
#define CSL_PSC_MERRCR_M16_RESETVAL (0x00000000u)

#define CSL_PSC_MERRCR_M15_MASK (0x00008000u)
#define CSL_PSC_MERRCR_M15_SHIFT (0x0000000Fu)
#define CSL_PSC_MERRCR_M15_RESETVAL (0x00000000u)

#define CSL_PSC_MERRCR_M14_MASK (0x00004000u)
#define CSL_PSC_MERRCR_M14_SHIFT (0x0000000Eu)
#define CSL_PSC_MERRCR_M14_RESETVAL (0x00000000u)

#define CSL_PSC_MERRCR_M13_MASK (0x00002000u)
#define CSL_PSC_MERRCR_M13_SHIFT (0x0000000Du)
#define CSL_PSC_MERRCR_M13_RESETVAL (0x00000000u)

#define CSL_PSC_MERRCR_M12_MASK (0x00001000u)
#define CSL_PSC_MERRCR_M12_SHIFT (0x0000000Cu)
#define CSL_PSC_MERRCR_M12_RESETVAL (0x00000000u)

#define CSL_PSC_MERRCR_M11_MASK (0x00000800u)
#define CSL_PSC_MERRCR_M11_SHIFT (0x0000000Bu)
#define CSL_PSC_MERRCR_M11_RESETVAL (0x00000000u)

#define CSL_PSC_MERRCR_M10_MASK (0x00000400u)
#define CSL_PSC_MERRCR_M10_SHIFT (0x0000000Au)
#define CSL_PSC_MERRCR_M10_RESETVAL (0x00000000u)

#define CSL_PSC_MERRCR_M9_MASK (0x00000200u)
#define CSL_PSC_MERRCR_M9_SHIFT (0x00000009u)
#define CSL_PSC_MERRCR_M9_RESETVAL (0x00000000u)

#define CSL_PSC_MERRCR_M8_MASK (0x00000100u)
#define CSL_PSC_MERRCR_M8_SHIFT (0x00000008u)
#define CSL_PSC_MERRCR_M8_RESETVAL (0x00000000u)

#define CSL_PSC_MERRCR_M7_MASK (0x00000080u)
#define CSL_PSC_MERRCR_M7_SHIFT (0x00000007u)
#define CSL_PSC_MERRCR_M7_RESETVAL (0x00000000u)

#define CSL_PSC_MERRCR_M6_MASK (0x00000040u)
#define CSL_PSC_MERRCR_M6_SHIFT (0x00000006u)
#define CSL_PSC_MERRCR_M6_RESETVAL (0x00000000u)

#define CSL_PSC_MERRCR_M5_MASK (0x00000020u)
#define CSL_PSC_MERRCR_M5_SHIFT (0x00000005u)
#define CSL_PSC_MERRCR_M5_RESETVAL (0x00000000u)

#define CSL_PSC_MERRCR_M4_MASK (0x00000010u)
#define CSL_PSC_MERRCR_M4_SHIFT (0x00000004u)
#define CSL_PSC_MERRCR_M4_RESETVAL (0x00000000u)

#define CSL_PSC_MERRCR_M3_MASK (0x00000008u)
#define CSL_PSC_MERRCR_M3_SHIFT (0x00000003u)
#define CSL_PSC_MERRCR_M3_RESETVAL (0x00000000u)

#define CSL_PSC_MERRCR_M2_MASK (0x00000004u)
#define CSL_PSC_MERRCR_M2_SHIFT (0x00000002u)
#define CSL_PSC_MERRCR_M2_RESETVAL (0x00000000u)

#define CSL_PSC_MERRCR_M1_MASK (0x00000002u)
#define CSL_PSC_MERRCR_M1_SHIFT (0x00000001u)
#define CSL_PSC_MERRCR_M1_RESETVAL (0x00000000u)

#define CSL_PSC_MERRCR_M0_MASK (0x00000001u)
#define CSL_PSC_MERRCR_M0_SHIFT (0x00000000u)
#define CSL_PSC_MERRCR_M0_RESETVAL (0x00000000u)


#define CSL_PSC_MERRCR_RESETVAL (0x00000000u)

/* PERRPR */

#define CSL_PSC_PERRPR_P31_MASK (0x80000000u)
#define CSL_PSC_PERRPR_P31_SHIFT (0x0000001Fu)
#define CSL_PSC_PERRPR_P31_RESETVAL (0x00000000u)

#define CSL_PSC_PERRPR_P30_MASK (0x40000000u)
#define CSL_PSC_PERRPR_P30_SHIFT (0x0000001Eu)
#define CSL_PSC_PERRPR_P30_RESETVAL (0x00000000u)

#define CSL_PSC_PERRPR_P29_MASK (0x20000000u)
#define CSL_PSC_PERRPR_P29_SHIFT (0x0000001Du)
#define CSL_PSC_PERRPR_P29_RESETVAL (0x00000000u)

#define CSL_PSC_PERRPR_P28_MASK (0x10000000u)
#define CSL_PSC_PERRPR_P28_SHIFT (0x0000001Cu)
#define CSL_PSC_PERRPR_P28_RESETVAL (0x00000000u)

#define CSL_PSC_PERRPR_P27_MASK (0x08000000u)
#define CSL_PSC_PERRPR_P27_SHIFT (0x0000001Bu)
#define CSL_PSC_PERRPR_P27_RESETVAL (0x00000000u)

#define CSL_PSC_PERRPR_P26_MASK (0x04000000u)
#define CSL_PSC_PERRPR_P26_SHIFT (0x0000001Au)
#define CSL_PSC_PERRPR_P26_RESETVAL (0x00000000u)

#define CSL_PSC_PERRPR_P25_MASK (0x02000000u)
#define CSL_PSC_PERRPR_P25_SHIFT (0x00000019u)
#define CSL_PSC_PERRPR_P25_RESETVAL (0x00000000u)

#define CSL_PSC_PERRPR_P24_MASK (0x01000000u)
#define CSL_PSC_PERRPR_P24_SHIFT (0x00000018u)
#define CSL_PSC_PERRPR_P24_RESETVAL (0x00000000u)

#define CSL_PSC_PERRPR_P23_MASK (0x00800000u)
#define CSL_PSC_PERRPR_P23_SHIFT (0x00000017u)
#define CSL_PSC_PERRPR_P23_RESETVAL (0x00000000u)

#define CSL_PSC_PERRPR_P22_MASK (0x00400000u)
#define CSL_PSC_PERRPR_P22_SHIFT (0x00000016u)
#define CSL_PSC_PERRPR_P22_RESETVAL (0x00000000u)

#define CSL_PSC_PERRPR_P21_MASK (0x00200000u)
#define CSL_PSC_PERRPR_P21_SHIFT (0x00000015u)
#define CSL_PSC_PERRPR_P21_RESETVAL (0x00000000u)

#define CSL_PSC_PERRPR_P20_MASK (0x00100000u)
#define CSL_PSC_PERRPR_P20_SHIFT (0x00000014u)
#define CSL_PSC_PERRPR_P20_RESETVAL (0x00000000u)

#define CSL_PSC_PERRPR_P19_MASK (0x00080000u)
#define CSL_PSC_PERRPR_P19_SHIFT (0x00000013u)
#define CSL_PSC_PERRPR_P19_RESETVAL (0x00000000u)

#define CSL_PSC_PERRPR_P18_MASK (0x00040000u)
#define CSL_PSC_PERRPR_P18_SHIFT (0x00000012u)
#define CSL_PSC_PERRPR_P18_RESETVAL (0x00000000u)

#define CSL_PSC_PERRPR_P17_MASK (0x00020000u)
#define CSL_PSC_PERRPR_P17_SHIFT (0x00000011u)
#define CSL_PSC_PERRPR_P17_RESETVAL (0x00000000u)

#define CSL_PSC_PERRPR_P16_MASK (0x00010000u)
#define CSL_PSC_PERRPR_P16_SHIFT (0x00000010u)
#define CSL_PSC_PERRPR_P16_RESETVAL (0x00000000u)

#define CSL_PSC_PERRPR_P15_MASK (0x00008000u)
#define CSL_PSC_PERRPR_P15_SHIFT (0x0000000Fu)
#define CSL_PSC_PERRPR_P15_RESETVAL (0x00000000u)

#define CSL_PSC_PERRPR_P14_MASK (0x00004000u)
#define CSL_PSC_PERRPR_P14_SHIFT (0x0000000Eu)
#define CSL_PSC_PERRPR_P14_RESETVAL (0x00000000u)

#define CSL_PSC_PERRPR_P13_MASK (0x00002000u)
#define CSL_PSC_PERRPR_P13_SHIFT (0x0000000Du)
#define CSL_PSC_PERRPR_P13_RESETVAL (0x00000000u)

#define CSL_PSC_PERRPR_P12_MASK (0x00001000u)
#define CSL_PSC_PERRPR_P12_SHIFT (0x0000000Cu)
#define CSL_PSC_PERRPR_P12_RESETVAL (0x00000000u)

#define CSL_PSC_PERRPR_P11_MASK (0x00000800u)
#define CSL_PSC_PERRPR_P11_SHIFT (0x0000000Bu)
#define CSL_PSC_PERRPR_P11_RESETVAL (0x00000000u)

#define CSL_PSC_PERRPR_P10_MASK (0x00000400u)
#define CSL_PSC_PERRPR_P10_SHIFT (0x0000000Au)
#define CSL_PSC_PERRPR_P10_RESETVAL (0x00000000u)

#define CSL_PSC_PERRPR_P9_MASK (0x00000200u)
#define CSL_PSC_PERRPR_P9_SHIFT (0x00000009u)
#define CSL_PSC_PERRPR_P9_RESETVAL (0x00000000u)

#define CSL_PSC_PERRPR_P8_MASK (0x00000100u)
#define CSL_PSC_PERRPR_P8_SHIFT (0x00000008u)
#define CSL_PSC_PERRPR_P8_RESETVAL (0x00000000u)

#define CSL_PSC_PERRPR_P7_MASK (0x00000080u)
#define CSL_PSC_PERRPR_P7_SHIFT (0x00000007u)
#define CSL_PSC_PERRPR_P7_RESETVAL (0x00000000u)

#define CSL_PSC_PERRPR_P6_MASK (0x00000040u)
#define CSL_PSC_PERRPR_P6_SHIFT (0x00000006u)
#define CSL_PSC_PERRPR_P6_RESETVAL (0x00000000u)

#define CSL_PSC_PERRPR_P5_MASK (0x00000020u)
#define CSL_PSC_PERRPR_P5_SHIFT (0x00000005u)
#define CSL_PSC_PERRPR_P5_RESETVAL (0x00000000u)

#define CSL_PSC_PERRPR_P4_MASK (0x00000010u)
#define CSL_PSC_PERRPR_P4_SHIFT (0x00000004u)
#define CSL_PSC_PERRPR_P4_RESETVAL (0x00000000u)

#define CSL_PSC_PERRPR_P3_MASK (0x00000008u)
#define CSL_PSC_PERRPR_P3_SHIFT (0x00000003u)
#define CSL_PSC_PERRPR_P3_RESETVAL (0x00000000u)

#define CSL_PSC_PERRPR_P2_MASK (0x00000004u)
#define CSL_PSC_PERRPR_P2_SHIFT (0x00000002u)
#define CSL_PSC_PERRPR_P2_RESETVAL (0x00000000u)

#define CSL_PSC_PERRPR_P1_MASK (0x00000002u)
#define CSL_PSC_PERRPR_P1_SHIFT (0x00000001u)
#define CSL_PSC_PERRPR_P1_RESETVAL (0x00000000u)

#define CSL_PSC_PERRPR_P0_MASK (0x00000001u)
#define CSL_PSC_PERRPR_P0_SHIFT (0x00000000u)
#define CSL_PSC_PERRPR_P0_RESETVAL (0x00000000u)


#define CSL_PSC_PERRPR_RESETVAL (0x00000000u)

/* PERRCR */

#define CSL_PSC_PERRCR_P31_MASK (0x80000000u)
#define CSL_PSC_PERRCR_P31_SHIFT (0x0000001Fu)
#define CSL_PSC_PERRCR_P31_RESETVAL (0x00000000u)

#define CSL_PSC_PERRCR_P30_MASK (0x40000000u)
#define CSL_PSC_PERRCR_P30_SHIFT (0x0000001Eu)
#define CSL_PSC_PERRCR_P30_RESETVAL (0x00000000u)

#define CSL_PSC_PERRCR_P29_MASK (0x20000000u)
#define CSL_PSC_PERRCR_P29_SHIFT (0x0000001Du)
#define CSL_PSC_PERRCR_P29_RESETVAL (0x00000000u)

#define CSL_PSC_PERRCR_P28_MASK (0x10000000u)
#define CSL_PSC_PERRCR_P28_SHIFT (0x0000001Cu)
#define CSL_PSC_PERRCR_P28_RESETVAL (0x00000000u)

#define CSL_PSC_PERRCR_P27_MASK (0x08000000u)
#define CSL_PSC_PERRCR_P27_SHIFT (0x0000001Bu)
#define CSL_PSC_PERRCR_P27_RESETVAL (0x00000000u)

#define CSL_PSC_PERRCR_P26_MASK (0x04000000u)
#define CSL_PSC_PERRCR_P26_SHIFT (0x0000001Au)
#define CSL_PSC_PERRCR_P26_RESETVAL (0x00000000u)

#define CSL_PSC_PERRCR_P25_MASK (0x02000000u)
#define CSL_PSC_PERRCR_P25_SHIFT (0x00000019u)
#define CSL_PSC_PERRCR_P25_RESETVAL (0x00000000u)

#define CSL_PSC_PERRCR_P24_MASK (0x01000000u)
#define CSL_PSC_PERRCR_P24_SHIFT (0x00000018u)
#define CSL_PSC_PERRCR_P24_RESETVAL (0x00000000u)

#define CSL_PSC_PERRCR_P23_MASK (0x00800000u)
#define CSL_PSC_PERRCR_P23_SHIFT (0x00000017u)
#define CSL_PSC_PERRCR_P23_RESETVAL (0x00000000u)

#define CSL_PSC_PERRCR_P22_MASK (0x00400000u)
#define CSL_PSC_PERRCR_P22_SHIFT (0x00000016u)
#define CSL_PSC_PERRCR_P22_RESETVAL (0x00000000u)

#define CSL_PSC_PERRCR_P21_MASK (0x00200000u)
#define CSL_PSC_PERRCR_P21_SHIFT (0x00000015u)
#define CSL_PSC_PERRCR_P21_RESETVAL (0x00000000u)

#define CSL_PSC_PERRCR_P20_MASK (0x00100000u)
#define CSL_PSC_PERRCR_P20_SHIFT (0x00000014u)
#define CSL_PSC_PERRCR_P20_RESETVAL (0x00000000u)

#define CSL_PSC_PERRCR_P19_MASK (0x00080000u)
#define CSL_PSC_PERRCR_P19_SHIFT (0x00000013u)
#define CSL_PSC_PERRCR_P19_RESETVAL (0x00000000u)

#define CSL_PSC_PERRCR_P18_MASK (0x00040000u)
#define CSL_PSC_PERRCR_P18_SHIFT (0x00000012u)
#define CSL_PSC_PERRCR_P18_RESETVAL (0x00000000u)

#define CSL_PSC_PERRCR_P17_MASK (0x00020000u)
#define CSL_PSC_PERRCR_P17_SHIFT (0x00000011u)
#define CSL_PSC_PERRCR_P17_RESETVAL (0x00000000u)

#define CSL_PSC_PERRCR_P16_MASK (0x00010000u)
#define CSL_PSC_PERRCR_P16_SHIFT (0x00000010u)
#define CSL_PSC_PERRCR_P16_RESETVAL (0x00000000u)

#define CSL_PSC_PERRCR_P15_MASK (0x00008000u)
#define CSL_PSC_PERRCR_P15_SHIFT (0x0000000Fu)
#define CSL_PSC_PERRCR_P15_RESETVAL (0x00000000u)

#define CSL_PSC_PERRCR_P14_MASK (0x00004000u)
#define CSL_PSC_PERRCR_P14_SHIFT (0x0000000Eu)
#define CSL_PSC_PERRCR_P14_RESETVAL (0x00000000u)

#define CSL_PSC_PERRCR_P13_MASK (0x00002000u)
#define CSL_PSC_PERRCR_P13_SHIFT (0x0000000Du)
#define CSL_PSC_PERRCR_P13_RESETVAL (0x00000000u)

#define CSL_PSC_PERRCR_P12_MASK (0x00001000u)
#define CSL_PSC_PERRCR_P12_SHIFT (0x0000000Cu)
#define CSL_PSC_PERRCR_P12_RESETVAL (0x00000000u)

#define CSL_PSC_PERRCR_P11_MASK (0x00000800u)
#define CSL_PSC_PERRCR_P11_SHIFT (0x0000000Bu)
#define CSL_PSC_PERRCR_P11_RESETVAL (0x00000000u)

#define CSL_PSC_PERRCR_P10_MASK (0x00000400u)
#define CSL_PSC_PERRCR_P10_SHIFT (0x0000000Au)
#define CSL_PSC_PERRCR_P10_RESETVAL (0x00000000u)

#define CSL_PSC_PERRCR_P9_MASK (0x00000200u)
#define CSL_PSC_PERRCR_P9_SHIFT (0x00000009u)
#define CSL_PSC_PERRCR_P9_RESETVAL (0x00000000u)

#define CSL_PSC_PERRCR_P8_MASK (0x00000100u)
#define CSL_PSC_PERRCR_P8_SHIFT (0x00000008u)
#define CSL_PSC_PERRCR_P8_RESETVAL (0x00000000u)

#define CSL_PSC_PERRCR_P7_MASK (0x00000080u)
#define CSL_PSC_PERRCR_P7_SHIFT (0x00000007u)
#define CSL_PSC_PERRCR_P7_RESETVAL (0x00000000u)

#define CSL_PSC_PERRCR_P6_MASK (0x00000040u)
#define CSL_PSC_PERRCR_P6_SHIFT (0x00000006u)
#define CSL_PSC_PERRCR_P6_RESETVAL (0x00000000u)

#define CSL_PSC_PERRCR_P5_MASK (0x00000020u)
#define CSL_PSC_PERRCR_P5_SHIFT (0x00000005u)
#define CSL_PSC_PERRCR_P5_RESETVAL (0x00000000u)

#define CSL_PSC_PERRCR_P4_MASK (0x00000010u)
#define CSL_PSC_PERRCR_P4_SHIFT (0x00000004u)
#define CSL_PSC_PERRCR_P4_RESETVAL (0x00000000u)

#define CSL_PSC_PERRCR_P3_MASK (0x00000008u)
#define CSL_PSC_PERRCR_P3_SHIFT (0x00000003u)
#define CSL_PSC_PERRCR_P3_RESETVAL (0x00000000u)

#define CSL_PSC_PERRCR_P2_MASK (0x00000004u)
#define CSL_PSC_PERRCR_P2_SHIFT (0x00000002u)
#define CSL_PSC_PERRCR_P2_RESETVAL (0x00000000u)

#define CSL_PSC_PERRCR_P1_MASK (0x00000002u)
#define CSL_PSC_PERRCR_P1_SHIFT (0x00000001u)
#define CSL_PSC_PERRCR_P1_RESETVAL (0x00000000u)

#define CSL_PSC_PERRCR_P0_MASK (0x00000001u)
#define CSL_PSC_PERRCR_P0_SHIFT (0x00000000u)
#define CSL_PSC_PERRCR_P0_RESETVAL (0x00000000u)


#define CSL_PSC_PERRCR_RESETVAL (0x00000000u)

/* EPCPR */

#define CSL_PSC_EPCPR_EPC31_MASK (0x80000000u)
#define CSL_PSC_EPCPR_EPC31_SHIFT (0x0000001Fu)
#define CSL_PSC_EPCPR_EPC31_RESETVAL (0x00000000u)

#define CSL_PSC_EPCPR_EPC30_MASK (0x40000000u)
#define CSL_PSC_EPCPR_EPC30_SHIFT (0x0000001Eu)
#define CSL_PSC_EPCPR_EPC30_RESETVAL (0x00000000u)

#define CSL_PSC_EPCPR_EPC29_MASK (0x20000000u)
#define CSL_PSC_EPCPR_EPC29_SHIFT (0x0000001Du)
#define CSL_PSC_EPCPR_EPC29_RESETVAL (0x00000000u)

#define CSL_PSC_EPCPR_EPC28_MASK (0x10000000u)
#define CSL_PSC_EPCPR_EPC28_SHIFT (0x0000001Cu)
#define CSL_PSC_EPCPR_EPC28_RESETVAL (0x00000000u)

#define CSL_PSC_EPCPR_EPC27_MASK (0x08000000u)
#define CSL_PSC_EPCPR_EPC27_SHIFT (0x0000001Bu)
#define CSL_PSC_EPCPR_EPC27_RESETVAL (0x00000000u)

#define CSL_PSC_EPCPR_EPC26_MASK (0x04000000u)
#define CSL_PSC_EPCPR_EPC26_SHIFT (0x0000001Au)
#define CSL_PSC_EPCPR_EPC26_RESETVAL (0x00000000u)

#define CSL_PSC_EPCPR_EPC25_MASK (0x02000000u)
#define CSL_PSC_EPCPR_EPC25_SHIFT (0x00000019u)
#define CSL_PSC_EPCPR_EPC25_RESETVAL (0x00000000u)

#define CSL_PSC_EPCPR_EPC24_MASK (0x01000000u)
#define CSL_PSC_EPCPR_EPC24_SHIFT (0x00000018u)
#define CSL_PSC_EPCPR_EPC24_RESETVAL (0x00000000u)

#define CSL_PSC_EPCPR_EPC23_MASK (0x00800000u)
#define CSL_PSC_EPCPR_EPC23_SHIFT (0x00000017u)
#define CSL_PSC_EPCPR_EPC23_RESETVAL (0x00000000u)

#define CSL_PSC_EPCPR_EPC22_MASK (0x00400000u)
#define CSL_PSC_EPCPR_EPC22_SHIFT (0x00000016u)
#define CSL_PSC_EPCPR_EPC22_RESETVAL (0x00000000u)

#define CSL_PSC_EPCPR_EPC21_MASK (0x00200000u)
#define CSL_PSC_EPCPR_EPC21_SHIFT (0x00000015u)
#define CSL_PSC_EPCPR_EPC21_RESETVAL (0x00000000u)

#define CSL_PSC_EPCPR_EPC20_MASK (0x00100000u)
#define CSL_PSC_EPCPR_EPC20_SHIFT (0x00000014u)
#define CSL_PSC_EPCPR_EPC20_RESETVAL (0x00000000u)

#define CSL_PSC_EPCPR_EPC19_MASK (0x00080000u)
#define CSL_PSC_EPCPR_EPC19_SHIFT (0x00000013u)
#define CSL_PSC_EPCPR_EPC19_RESETVAL (0x00000000u)

#define CSL_PSC_EPCPR_EPC18_MASK (0x00040000u)
#define CSL_PSC_EPCPR_EPC18_SHIFT (0x00000012u)
#define CSL_PSC_EPCPR_EPC18_RESETVAL (0x00000000u)

#define CSL_PSC_EPCPR_EPC17_MASK (0x00020000u)
#define CSL_PSC_EPCPR_EPC17_SHIFT (0x00000011u)
#define CSL_PSC_EPCPR_EPC17_RESETVAL (0x00000000u)

#define CSL_PSC_EPCPR_EPC16_MASK (0x00010000u)
#define CSL_PSC_EPCPR_EPC16_SHIFT (0x00000010u)
#define CSL_PSC_EPCPR_EPC16_RESETVAL (0x00000000u)

#define CSL_PSC_EPCPR_EPC15_MASK (0x00008000u)
#define CSL_PSC_EPCPR_EPC15_SHIFT (0x0000000Fu)
#define CSL_PSC_EPCPR_EPC15_RESETVAL (0x00000000u)

#define CSL_PSC_EPCPR_EPC14_MASK (0x00004000u)
#define CSL_PSC_EPCPR_EPC14_SHIFT (0x0000000Eu)
#define CSL_PSC_EPCPR_EPC14_RESETVAL (0x00000000u)

#define CSL_PSC_EPCPR_EPC13_MASK (0x00002000u)
#define CSL_PSC_EPCPR_EPC13_SHIFT (0x0000000Du)
#define CSL_PSC_EPCPR_EPC13_RESETVAL (0x00000000u)

#define CSL_PSC_EPCPR_EPC12_MASK (0x00001000u)
#define CSL_PSC_EPCPR_EPC12_SHIFT (0x0000000Cu)
#define CSL_PSC_EPCPR_EPC12_RESETVAL (0x00000000u)

#define CSL_PSC_EPCPR_EPC11_MASK (0x00000800u)
#define CSL_PSC_EPCPR_EPC11_SHIFT (0x0000000Bu)
#define CSL_PSC_EPCPR_EPC11_RESETVAL (0x00000000u)

#define CSL_PSC_EPCPR_EPC10_MASK (0x00000400u)
#define CSL_PSC_EPCPR_EPC10_SHIFT (0x0000000Au)
#define CSL_PSC_EPCPR_EPC10_RESETVAL (0x00000000u)

#define CSL_PSC_EPCPR_EPC9_MASK (0x00000200u)
#define CSL_PSC_EPCPR_EPC9_SHIFT (0x00000009u)
#define CSL_PSC_EPCPR_EPC9_RESETVAL (0x00000000u)

#define CSL_PSC_EPCPR_EPC8_MASK (0x00000100u)
#define CSL_PSC_EPCPR_EPC8_SHIFT (0x00000008u)
#define CSL_PSC_EPCPR_EPC8_RESETVAL (0x00000000u)

#define CSL_PSC_EPCPR_EPC7_MASK (0x00000080u)
#define CSL_PSC_EPCPR_EPC7_SHIFT (0x00000007u)
#define CSL_PSC_EPCPR_EPC7_RESETVAL (0x00000000u)

#define CSL_PSC_EPCPR_EPC6_MASK (0x00000040u)
#define CSL_PSC_EPCPR_EPC6_SHIFT (0x00000006u)
#define CSL_PSC_EPCPR_EPC6_RESETVAL (0x00000000u)

#define CSL_PSC_EPCPR_EPC5_MASK (0x00000020u)
#define CSL_PSC_EPCPR_EPC5_SHIFT (0x00000005u)
#define CSL_PSC_EPCPR_EPC5_RESETVAL (0x00000000u)

#define CSL_PSC_EPCPR_EPC4_MASK (0x00000010u)
#define CSL_PSC_EPCPR_EPC4_SHIFT (0x00000004u)
#define CSL_PSC_EPCPR_EPC4_RESETVAL (0x00000000u)

#define CSL_PSC_EPCPR_EPC3_MASK (0x00000008u)
#define CSL_PSC_EPCPR_EPC3_SHIFT (0x00000003u)
#define CSL_PSC_EPCPR_EPC3_RESETVAL (0x00000000u)

#define CSL_PSC_EPCPR_EPC2_MASK (0x00000004u)
#define CSL_PSC_EPCPR_EPC2_SHIFT (0x00000002u)
#define CSL_PSC_EPCPR_EPC2_RESETVAL (0x00000000u)

#define CSL_PSC_EPCPR_EPC1_MASK (0x00000002u)
#define CSL_PSC_EPCPR_EPC1_SHIFT (0x00000001u)
#define CSL_PSC_EPCPR_EPC1_RESETVAL (0x00000000u)

#define CSL_PSC_EPCPR_EPC0_MASK (0x00000001u)
#define CSL_PSC_EPCPR_EPC0_SHIFT (0x00000000u)
#define CSL_PSC_EPCPR_EPC0_RESETVAL (0x00000000u)


#define CSL_PSC_EPCPR_RESETVAL (0x00000000u)

/* EPCCR */

#define CSL_PSC_EPCCR_EPC31_MASK (0x80000000u)
#define CSL_PSC_EPCCR_EPC31_SHIFT (0x0000001Fu)
#define CSL_PSC_EPCCR_EPC31_RESETVAL (0x00000000u)

#define CSL_PSC_EPCCR_EPC30_MASK (0x40000000u)
#define CSL_PSC_EPCCR_EPC30_SHIFT (0x0000001Eu)
#define CSL_PSC_EPCCR_EPC30_RESETVAL (0x00000000u)

#define CSL_PSC_EPCCR_EPC29_MASK (0x20000000u)
#define CSL_PSC_EPCCR_EPC29_SHIFT (0x0000001Du)
#define CSL_PSC_EPCCR_EPC29_RESETVAL (0x00000000u)

#define CSL_PSC_EPCCR_EPC28_MASK (0x10000000u)
#define CSL_PSC_EPCCR_EPC28_SHIFT (0x0000001Cu)
#define CSL_PSC_EPCCR_EPC28_RESETVAL (0x00000000u)

#define CSL_PSC_EPCCR_EPC27_MASK (0x08000000u)
#define CSL_PSC_EPCCR_EPC27_SHIFT (0x0000001Bu)
#define CSL_PSC_EPCCR_EPC27_RESETVAL (0x00000000u)

#define CSL_PSC_EPCCR_EPC26_MASK (0x04000000u)
#define CSL_PSC_EPCCR_EPC26_SHIFT (0x0000001Au)
#define CSL_PSC_EPCCR_EPC26_RESETVAL (0x00000000u)

#define CSL_PSC_EPCCR_EPC25_MASK (0x02000000u)
#define CSL_PSC_EPCCR_EPC25_SHIFT (0x00000019u)
#define CSL_PSC_EPCCR_EPC25_RESETVAL (0x00000000u)

#define CSL_PSC_EPCCR_EPC24_MASK (0x01000000u)
#define CSL_PSC_EPCCR_EPC24_SHIFT (0x00000018u)
#define CSL_PSC_EPCCR_EPC24_RESETVAL (0x00000000u)

#define CSL_PSC_EPCCR_EPC23_MASK (0x00800000u)
#define CSL_PSC_EPCCR_EPC23_SHIFT (0x00000017u)
#define CSL_PSC_EPCCR_EPC23_RESETVAL (0x00000000u)

#define CSL_PSC_EPCCR_EPC22_MASK (0x00400000u)
#define CSL_PSC_EPCCR_EPC22_SHIFT (0x00000016u)
#define CSL_PSC_EPCCR_EPC22_RESETVAL (0x00000000u)

#define CSL_PSC_EPCCR_EPC21_MASK (0x00200000u)
#define CSL_PSC_EPCCR_EPC21_SHIFT (0x00000015u)
#define CSL_PSC_EPCCR_EPC21_RESETVAL (0x00000000u)

#define CSL_PSC_EPCCR_EPC20_MASK (0x00100000u)
#define CSL_PSC_EPCCR_EPC20_SHIFT (0x00000014u)
#define CSL_PSC_EPCCR_EPC20_RESETVAL (0x00000000u)

#define CSL_PSC_EPCCR_EPC19_MASK (0x00080000u)
#define CSL_PSC_EPCCR_EPC19_SHIFT (0x00000013u)
#define CSL_PSC_EPCCR_EPC19_RESETVAL (0x00000000u)

#define CSL_PSC_EPCCR_EPC18_MASK (0x00040000u)
#define CSL_PSC_EPCCR_EPC18_SHIFT (0x00000012u)
#define CSL_PSC_EPCCR_EPC18_RESETVAL (0x00000000u)

#define CSL_PSC_EPCCR_EPC17_MASK (0x00020000u)
#define CSL_PSC_EPCCR_EPC17_SHIFT (0x00000011u)
#define CSL_PSC_EPCCR_EPC17_RESETVAL (0x00000000u)

#define CSL_PSC_EPCCR_EPC16_MASK (0x00010000u)
#define CSL_PSC_EPCCR_EPC16_SHIFT (0x00000010u)
#define CSL_PSC_EPCCR_EPC16_RESETVAL (0x00000000u)

#define CSL_PSC_EPCCR_EPC15_MASK (0x00008000u)
#define CSL_PSC_EPCCR_EPC15_SHIFT (0x0000000Fu)
#define CSL_PSC_EPCCR_EPC15_RESETVAL (0x00000000u)

#define CSL_PSC_EPCCR_EPC14_MASK (0x00004000u)
#define CSL_PSC_EPCCR_EPC14_SHIFT (0x0000000Eu)
#define CSL_PSC_EPCCR_EPC14_RESETVAL (0x00000000u)

#define CSL_PSC_EPCCR_EPC13_MASK (0x00002000u)
#define CSL_PSC_EPCCR_EPC13_SHIFT (0x0000000Du)
#define CSL_PSC_EPCCR_EPC13_RESETVAL (0x00000000u)

#define CSL_PSC_EPCCR_EPC12_MASK (0x00001000u)
#define CSL_PSC_EPCCR_EPC12_SHIFT (0x0000000Cu)
#define CSL_PSC_EPCCR_EPC12_RESETVAL (0x00000000u)

#define CSL_PSC_EPCCR_EPC11_MASK (0x00000800u)
#define CSL_PSC_EPCCR_EPC11_SHIFT (0x0000000Bu)
#define CSL_PSC_EPCCR_EPC11_RESETVAL (0x00000000u)

#define CSL_PSC_EPCCR_EPC10_MASK (0x00000400u)
#define CSL_PSC_EPCCR_EPC10_SHIFT (0x0000000Au)
#define CSL_PSC_EPCCR_EPC10_RESETVAL (0x00000000u)

#define CSL_PSC_EPCCR_EPC9_MASK (0x00000200u)
#define CSL_PSC_EPCCR_EPC9_SHIFT (0x00000009u)
#define CSL_PSC_EPCCR_EPC9_RESETVAL (0x00000000u)

#define CSL_PSC_EPCCR_EPC8_MASK (0x00000100u)
#define CSL_PSC_EPCCR_EPC8_SHIFT (0x00000008u)
#define CSL_PSC_EPCCR_EPC8_RESETVAL (0x00000000u)

#define CSL_PSC_EPCCR_EPC7_MASK (0x00000080u)
#define CSL_PSC_EPCCR_EPC7_SHIFT (0x00000007u)
#define CSL_PSC_EPCCR_EPC7_RESETVAL (0x00000000u)

#define CSL_PSC_EPCCR_EPC6_MASK (0x00000040u)
#define CSL_PSC_EPCCR_EPC6_SHIFT (0x00000006u)
#define CSL_PSC_EPCCR_EPC6_RESETVAL (0x00000000u)

#define CSL_PSC_EPCCR_EPC5_MASK (0x00000020u)
#define CSL_PSC_EPCCR_EPC5_SHIFT (0x00000005u)
#define CSL_PSC_EPCCR_EPC5_RESETVAL (0x00000000u)

#define CSL_PSC_EPCCR_EPC4_MASK (0x00000010u)
#define CSL_PSC_EPCCR_EPC4_SHIFT (0x00000004u)
#define CSL_PSC_EPCCR_EPC4_RESETVAL (0x00000000u)

#define CSL_PSC_EPCCR_EPC3_MASK (0x00000008u)
#define CSL_PSC_EPCCR_EPC3_SHIFT (0x00000003u)
#define CSL_PSC_EPCCR_EPC3_RESETVAL (0x00000000u)

#define CSL_PSC_EPCCR_EPC2_MASK (0x00000004u)
#define CSL_PSC_EPCCR_EPC2_SHIFT (0x00000002u)
#define CSL_PSC_EPCCR_EPC2_RESETVAL (0x00000000u)

#define CSL_PSC_EPCCR_EPC1_MASK (0x00000002u)
#define CSL_PSC_EPCCR_EPC1_SHIFT (0x00000001u)
#define CSL_PSC_EPCCR_EPC1_RESETVAL (0x00000000u)

#define CSL_PSC_EPCCR_EPC0_MASK (0x00000001u)
#define CSL_PSC_EPCCR_EPC0_SHIFT (0x00000000u)
#define CSL_PSC_EPCCR_EPC0_RESETVAL (0x00000000u)


#define CSL_PSC_EPCCR_RESETVAL (0x00000000u)

/* RAILSTAT */


#define CSL_PSC_RAILSTAT_RAILNUM_MASK (0x1F000000u)
#define CSL_PSC_RAILSTAT_RAILNUM_SHIFT (0x00000018u)
#define CSL_PSC_RAILSTAT_RAILNUM_RESETVAL (0x00000000u)


#define CSL_PSC_RAILSTAT_RAILCNT_MASK (0x000000FFu)
#define CSL_PSC_RAILSTAT_RAILCNT_SHIFT (0x00000000u)
#define CSL_PSC_RAILSTAT_RAILCNT_RESETVAL (0x00000000u)

#define CSL_PSC_RAILSTAT_RESETVAL (0x00000000u)

/* RAILCTL */


#define CSL_PSC_RAILCTL_RAILCTR1_MASK (0x0000FF00u)
#define CSL_PSC_RAILCTL_RAILCTR1_SHIFT (0x00000008u)
#define CSL_PSC_RAILCTL_RAILCTR1_RESETVAL (0x00000000u)

#define CSL_PSC_RAILCTL_RAILCTR0_MASK (0x000000FFu)
#define CSL_PSC_RAILCTL_RAILCTR0_SHIFT (0x00000000u)
#define CSL_PSC_RAILCTL_RAILCTR0_RESETVAL (0x00000000u)

#define CSL_PSC_RAILCTL_RESETVAL (0x00000000u)

/* RAILSEL */

#define CSL_PSC_RAILSEL_P31_MASK (0x80000000u)
#define CSL_PSC_RAILSEL_P31_SHIFT (0x0000001Fu)
#define CSL_PSC_RAILSEL_P31_RESETVAL (0x00000000u)

#define CSL_PSC_RAILSEL_P30_MASK (0x40000000u)
#define CSL_PSC_RAILSEL_P30_SHIFT (0x0000001Eu)
#define CSL_PSC_RAILSEL_P30_RESETVAL (0x00000000u)

#define CSL_PSC_RAILSEL_P29_MASK (0x20000000u)
#define CSL_PSC_RAILSEL_P29_SHIFT (0x0000001Du)
#define CSL_PSC_RAILSEL_P29_RESETVAL (0x00000000u)

#define CSL_PSC_RAILSEL_P28_MASK (0x10000000u)
#define CSL_PSC_RAILSEL_P28_SHIFT (0x0000001Cu)
#define CSL_PSC_RAILSEL_P28_RESETVAL (0x00000000u)

#define CSL_PSC_RAILSEL_P27_MASK (0x08000000u)
#define CSL_PSC_RAILSEL_P27_SHIFT (0x0000001Bu)
#define CSL_PSC_RAILSEL_P27_RESETVAL (0x00000000u)

#define CSL_PSC_RAILSEL_P26_MASK (0x04000000u)
#define CSL_PSC_RAILSEL_P26_SHIFT (0x0000001Au)
#define CSL_PSC_RAILSEL_P26_RESETVAL (0x00000000u)

#define CSL_PSC_RAILSEL_P25_MASK (0x02000000u)
#define CSL_PSC_RAILSEL_P25_SHIFT (0x00000019u)
#define CSL_PSC_RAILSEL_P25_RESETVAL (0x00000000u)

#define CSL_PSC_RAILSEL_P24_MASK (0x01000000u)
#define CSL_PSC_RAILSEL_P24_SHIFT (0x00000018u)
#define CSL_PSC_RAILSEL_P24_RESETVAL (0x00000000u)

#define CSL_PSC_RAILSEL_P23_MASK (0x00800000u)
#define CSL_PSC_RAILSEL_P23_SHIFT (0x00000017u)
#define CSL_PSC_RAILSEL_P23_RESETVAL (0x00000000u)

#define CSL_PSC_RAILSEL_P22_MASK (0x00400000u)
#define CSL_PSC_RAILSEL_P22_SHIFT (0x00000016u)
#define CSL_PSC_RAILSEL_P22_RESETVAL (0x00000000u)

#define CSL_PSC_RAILSEL_P21_MASK (0x00200000u)
#define CSL_PSC_RAILSEL_P21_SHIFT (0x00000015u)
#define CSL_PSC_RAILSEL_P21_RESETVAL (0x00000000u)

#define CSL_PSC_RAILSEL_P20_MASK (0x00100000u)
#define CSL_PSC_RAILSEL_P20_SHIFT (0x00000014u)
#define CSL_PSC_RAILSEL_P20_RESETVAL (0x00000000u)

#define CSL_PSC_RAILSEL_P19_MASK (0x00080000u)
#define CSL_PSC_RAILSEL_P19_SHIFT (0x00000013u)
#define CSL_PSC_RAILSEL_P19_RESETVAL (0x00000000u)

#define CSL_PSC_RAILSEL_P18_MASK (0x00040000u)
#define CSL_PSC_RAILSEL_P18_SHIFT (0x00000012u)
#define CSL_PSC_RAILSEL_P18_RESETVAL (0x00000000u)

#define CSL_PSC_RAILSEL_P17_MASK (0x00020000u)
#define CSL_PSC_RAILSEL_P17_SHIFT (0x00000011u)
#define CSL_PSC_RAILSEL_P17_RESETVAL (0x00000000u)

#define CSL_PSC_RAILSEL_P16_MASK (0x00010000u)
#define CSL_PSC_RAILSEL_P16_SHIFT (0x00000010u)
#define CSL_PSC_RAILSEL_P16_RESETVAL (0x00000000u)

#define CSL_PSC_RAILSEL_P15_MASK (0x00008000u)
#define CSL_PSC_RAILSEL_P15_SHIFT (0x0000000Fu)
#define CSL_PSC_RAILSEL_P15_RESETVAL (0x00000000u)

#define CSL_PSC_RAILSEL_P14_MASK (0x00004000u)
#define CSL_PSC_RAILSEL_P14_SHIFT (0x0000000Eu)
#define CSL_PSC_RAILSEL_P14_RESETVAL (0x00000000u)

#define CSL_PSC_RAILSEL_P13_MASK (0x00002000u)
#define CSL_PSC_RAILSEL_P13_SHIFT (0x0000000Du)
#define CSL_PSC_RAILSEL_P13_RESETVAL (0x00000000u)

#define CSL_PSC_RAILSEL_P12_MASK (0x00001000u)
#define CSL_PSC_RAILSEL_P12_SHIFT (0x0000000Cu)
#define CSL_PSC_RAILSEL_P12_RESETVAL (0x00000000u)

#define CSL_PSC_RAILSEL_P11_MASK (0x00000800u)
#define CSL_PSC_RAILSEL_P11_SHIFT (0x0000000Bu)
#define CSL_PSC_RAILSEL_P11_RESETVAL (0x00000000u)

#define CSL_PSC_RAILSEL_P10_MASK (0x00000400u)
#define CSL_PSC_RAILSEL_P10_SHIFT (0x0000000Au)
#define CSL_PSC_RAILSEL_P10_RESETVAL (0x00000000u)

#define CSL_PSC_RAILSEL_P9_MASK (0x00000200u)
#define CSL_PSC_RAILSEL_P9_SHIFT (0x00000009u)
#define CSL_PSC_RAILSEL_P9_RESETVAL (0x00000000u)

#define CSL_PSC_RAILSEL_P8_MASK (0x00000100u)
#define CSL_PSC_RAILSEL_P8_SHIFT (0x00000008u)
#define CSL_PSC_RAILSEL_P8_RESETVAL (0x00000000u)

#define CSL_PSC_RAILSEL_P7_MASK (0x00000080u)
#define CSL_PSC_RAILSEL_P7_SHIFT (0x00000007u)
#define CSL_PSC_RAILSEL_P7_RESETVAL (0x00000000u)

#define CSL_PSC_RAILSEL_P6_MASK (0x00000040u)
#define CSL_PSC_RAILSEL_P6_SHIFT (0x00000006u)
#define CSL_PSC_RAILSEL_P6_RESETVAL (0x00000000u)

#define CSL_PSC_RAILSEL_P5_MASK (0x00000020u)
#define CSL_PSC_RAILSEL_P5_SHIFT (0x00000005u)
#define CSL_PSC_RAILSEL_P5_RESETVAL (0x00000000u)

#define CSL_PSC_RAILSEL_P4_MASK (0x00000010u)
#define CSL_PSC_RAILSEL_P4_SHIFT (0x00000004u)
#define CSL_PSC_RAILSEL_P4_RESETVAL (0x00000000u)

#define CSL_PSC_RAILSEL_P3_MASK (0x00000008u)
#define CSL_PSC_RAILSEL_P3_SHIFT (0x00000003u)
#define CSL_PSC_RAILSEL_P3_RESETVAL (0x00000000u)

#define CSL_PSC_RAILSEL_P2_MASK (0x00000004u)
#define CSL_PSC_RAILSEL_P2_SHIFT (0x00000002u)
#define CSL_PSC_RAILSEL_P2_RESETVAL (0x00000000u)

#define CSL_PSC_RAILSEL_P1_MASK (0x00000002u)
#define CSL_PSC_RAILSEL_P1_SHIFT (0x00000001u)
#define CSL_PSC_RAILSEL_P1_RESETVAL (0x00000000u)

#define CSL_PSC_RAILSEL_P0_MASK (0x00000001u)
#define CSL_PSC_RAILSEL_P0_SHIFT (0x00000000u)
#define CSL_PSC_RAILSEL_P0_RESETVAL (0x00000000u)


#define CSL_PSC_RAILSEL_RESETVAL (0x00000000u)

/* PTCMD */

#define CSL_PSC_PTCMD_GO31_MASK (0x80000000u)
#define CSL_PSC_PTCMD_GO31_SHIFT (0x0000001Fu)
#define CSL_PSC_PTCMD_GO31_RESETVAL (0x00000000u)

#define CSL_PSC_PTCMD_GO30_MASK (0x40000000u)
#define CSL_PSC_PTCMD_GO30_SHIFT (0x0000001Eu)
#define CSL_PSC_PTCMD_GO30_RESETVAL (0x00000000u)

#define CSL_PSC_PTCMD_GO29_MASK (0x20000000u)
#define CSL_PSC_PTCMD_GO29_SHIFT (0x0000001Du)
#define CSL_PSC_PTCMD_GO29_RESETVAL (0x00000000u)

#define CSL_PSC_PTCMD_GO28_MASK (0x10000000u)
#define CSL_PSC_PTCMD_GO28_SHIFT (0x0000001Cu)
#define CSL_PSC_PTCMD_GO28_RESETVAL (0x00000000u)

#define CSL_PSC_PTCMD_GO27_MASK (0x08000000u)
#define CSL_PSC_PTCMD_GO27_SHIFT (0x0000001Bu)
#define CSL_PSC_PTCMD_GO27_RESETVAL (0x00000000u)

#define CSL_PSC_PTCMD_GO26_MASK (0x04000000u)
#define CSL_PSC_PTCMD_GO26_SHIFT (0x0000001Au)
#define CSL_PSC_PTCMD_GO26_RESETVAL (0x00000000u)

#define CSL_PSC_PTCMD_GO25_MASK (0x02000000u)
#define CSL_PSC_PTCMD_GO25_SHIFT (0x00000019u)
#define CSL_PSC_PTCMD_GO25_RESETVAL (0x00000000u)

#define CSL_PSC_PTCMD_GO24_MASK (0x01000000u)
#define CSL_PSC_PTCMD_GO24_SHIFT (0x00000018u)
#define CSL_PSC_PTCMD_GO24_RESETVAL (0x00000000u)

#define CSL_PSC_PTCMD_GO23_MASK (0x00800000u)
#define CSL_PSC_PTCMD_GO23_SHIFT (0x00000017u)
#define CSL_PSC_PTCMD_GO23_RESETVAL (0x00000000u)

#define CSL_PSC_PTCMD_GO22_MASK (0x00400000u)
#define CSL_PSC_PTCMD_GO22_SHIFT (0x00000016u)
#define CSL_PSC_PTCMD_GO22_RESETVAL (0x00000000u)

#define CSL_PSC_PTCMD_GO21_MASK (0x00200000u)
#define CSL_PSC_PTCMD_GO21_SHIFT (0x00000015u)
#define CSL_PSC_PTCMD_GO21_RESETVAL (0x00000000u)

#define CSL_PSC_PTCMD_GO20_MASK (0x00100000u)
#define CSL_PSC_PTCMD_GO20_SHIFT (0x00000014u)
#define CSL_PSC_PTCMD_GO20_RESETVAL (0x00000000u)

#define CSL_PSC_PTCMD_GO19_MASK (0x00080000u)
#define CSL_PSC_PTCMD_GO19_SHIFT (0x00000013u)
#define CSL_PSC_PTCMD_GO19_RESETVAL (0x00000000u)

#define CSL_PSC_PTCMD_GO18_MASK (0x00040000u)
#define CSL_PSC_PTCMD_GO18_SHIFT (0x00000012u)
#define CSL_PSC_PTCMD_GO18_RESETVAL (0x00000000u)

#define CSL_PSC_PTCMD_GO17_MASK (0x00020000u)
#define CSL_PSC_PTCMD_GO17_SHIFT (0x00000011u)
#define CSL_PSC_PTCMD_GO17_RESETVAL (0x00000000u)

#define CSL_PSC_PTCMD_GO16_MASK (0x00010000u)
#define CSL_PSC_PTCMD_GO16_SHIFT (0x00000010u)
#define CSL_PSC_PTCMD_GO16_RESETVAL (0x00000000u)

#define CSL_PSC_PTCMD_GO15_MASK (0x00008000u)
#define CSL_PSC_PTCMD_GO15_SHIFT (0x0000000Fu)
#define CSL_PSC_PTCMD_GO15_RESETVAL (0x00000000u)

#define CSL_PSC_PTCMD_GO14_MASK (0x00004000u)
#define CSL_PSC_PTCMD_GO14_SHIFT (0x0000000Eu)
#define CSL_PSC_PTCMD_GO14_RESETVAL (0x00000000u)

#define CSL_PSC_PTCMD_GO13_MASK (0x00002000u)
#define CSL_PSC_PTCMD_GO13_SHIFT (0x0000000Du)
#define CSL_PSC_PTCMD_GO13_RESETVAL (0x00000000u)

#define CSL_PSC_PTCMD_GO12_MASK (0x00001000u)
#define CSL_PSC_PTCMD_GO12_SHIFT (0x0000000Cu)
#define CSL_PSC_PTCMD_GO12_RESETVAL (0x00000000u)

#define CSL_PSC_PTCMD_GO11_MASK (0x00000800u)
#define CSL_PSC_PTCMD_GO11_SHIFT (0x0000000Bu)
#define CSL_PSC_PTCMD_GO11_RESETVAL (0x00000000u)

#define CSL_PSC_PTCMD_GO10_MASK (0x00000400u)
#define CSL_PSC_PTCMD_GO10_SHIFT (0x0000000Au)
#define CSL_PSC_PTCMD_GO10_RESETVAL (0x00000000u)

#define CSL_PSC_PTCMD_GO9_MASK (0x00000200u)
#define CSL_PSC_PTCMD_GO9_SHIFT (0x00000009u)
#define CSL_PSC_PTCMD_GO9_RESETVAL (0x00000000u)

#define CSL_PSC_PTCMD_GO8_MASK (0x00000100u)
#define CSL_PSC_PTCMD_GO8_SHIFT (0x00000008u)
#define CSL_PSC_PTCMD_GO8_RESETVAL (0x00000000u)

#define CSL_PSC_PTCMD_GO7_MASK (0x00000080u)
#define CSL_PSC_PTCMD_GO7_SHIFT (0x00000007u)
#define CSL_PSC_PTCMD_GO7_RESETVAL (0x00000000u)

#define CSL_PSC_PTCMD_GO6_MASK (0x00000040u)
#define CSL_PSC_PTCMD_GO6_SHIFT (0x00000006u)
#define CSL_PSC_PTCMD_GO6_RESETVAL (0x00000000u)

#define CSL_PSC_PTCMD_GO5_MASK (0x00000020u)
#define CSL_PSC_PTCMD_GO5_SHIFT (0x00000005u)
#define CSL_PSC_PTCMD_GO5_RESETVAL (0x00000000u)

#define CSL_PSC_PTCMD_GO4_MASK (0x00000010u)
#define CSL_PSC_PTCMD_GO4_SHIFT (0x00000004u)
#define CSL_PSC_PTCMD_GO4_RESETVAL (0x00000000u)

#define CSL_PSC_PTCMD_GO3_MASK (0x00000008u)
#define CSL_PSC_PTCMD_GO3_SHIFT (0x00000003u)
#define CSL_PSC_PTCMD_GO3_RESETVAL (0x00000000u)

#define CSL_PSC_PTCMD_GO2_MASK (0x00000004u)
#define CSL_PSC_PTCMD_GO2_SHIFT (0x00000002u)
#define CSL_PSC_PTCMD_GO2_RESETVAL (0x00000000u)

#define CSL_PSC_PTCMD_GO1_MASK (0x00000002u)
#define CSL_PSC_PTCMD_GO1_SHIFT (0x00000001u)
#define CSL_PSC_PTCMD_GO1_RESETVAL (0x00000000u)

#define CSL_PSC_PTCMD_GO0_MASK (0x00000001u)
#define CSL_PSC_PTCMD_GO0_SHIFT (0x00000000u)
#define CSL_PSC_PTCMD_GO0_RESETVAL (0x00000000u)


#define CSL_PSC_PTCMD_RESETVAL (0x00000000u)

/* PTSTAT */

#define CSL_PSC_PTSTAT_GOSTAT31_MASK (0x80000000u)
#define CSL_PSC_PTSTAT_GOSTAT31_SHIFT (0x0000001Fu)
#define CSL_PSC_PTSTAT_GOSTAT31_RESETVAL (0x00000000u)

#define CSL_PSC_PTSTAT_GOSTAT30_MASK (0x40000000u)
#define CSL_PSC_PTSTAT_GOSTAT30_SHIFT (0x0000001Eu)
#define CSL_PSC_PTSTAT_GOSTAT30_RESETVAL (0x00000000u)

#define CSL_PSC_PTSTAT_GOSTAT29_MASK (0x20000000u)
#define CSL_PSC_PTSTAT_GOSTAT29_SHIFT (0x0000001Du)
#define CSL_PSC_PTSTAT_GOSTAT29_RESETVAL (0x00000000u)

#define CSL_PSC_PTSTAT_GOSTAT28_MASK (0x10000000u)
#define CSL_PSC_PTSTAT_GOSTAT28_SHIFT (0x0000001Cu)
#define CSL_PSC_PTSTAT_GOSTAT28_RESETVAL (0x00000000u)

#define CSL_PSC_PTSTAT_GOSTAT27_MASK (0x08000000u)
#define CSL_PSC_PTSTAT_GOSTAT27_SHIFT (0x0000001Bu)
#define CSL_PSC_PTSTAT_GOSTAT27_RESETVAL (0x00000000u)

#define CSL_PSC_PTSTAT_GOSTAT26_MASK (0x04000000u)
#define CSL_PSC_PTSTAT_GOSTAT26_SHIFT (0x0000001Au)
#define CSL_PSC_PTSTAT_GOSTAT26_RESETVAL (0x00000000u)

#define CSL_PSC_PTSTAT_GOSTAT25_MASK (0x02000000u)
#define CSL_PSC_PTSTAT_GOSTAT25_SHIFT (0x00000019u)
#define CSL_PSC_PTSTAT_GOSTAT25_RESETVAL (0x00000000u)

#define CSL_PSC_PTSTAT_GOSTAT24_MASK (0x01000000u)
#define CSL_PSC_PTSTAT_GOSTAT24_SHIFT (0x00000018u)
#define CSL_PSC_PTSTAT_GOSTAT24_RESETVAL (0x00000000u)

#define CSL_PSC_PTSTAT_GOSTAT23_MASK (0x00800000u)
#define CSL_PSC_PTSTAT_GOSTAT23_SHIFT (0x00000017u)
#define CSL_PSC_PTSTAT_GOSTAT23_RESETVAL (0x00000000u)

#define CSL_PSC_PTSTAT_GOSTAT22_MASK (0x00400000u)
#define CSL_PSC_PTSTAT_GOSTAT22_SHIFT (0x00000016u)
#define CSL_PSC_PTSTAT_GOSTAT22_RESETVAL (0x00000000u)

#define CSL_PSC_PTSTAT_GOSTAT21_MASK (0x00200000u)
#define CSL_PSC_PTSTAT_GOSTAT21_SHIFT (0x00000015u)
#define CSL_PSC_PTSTAT_GOSTAT21_RESETVAL (0x00000000u)

#define CSL_PSC_PTSTAT_GOSTAT20_MASK (0x00100000u)
#define CSL_PSC_PTSTAT_GOSTAT20_SHIFT (0x00000014u)
#define CSL_PSC_PTSTAT_GOSTAT20_RESETVAL (0x00000000u)

#define CSL_PSC_PTSTAT_GOSTAT19_MASK (0x00080000u)
#define CSL_PSC_PTSTAT_GOSTAT19_SHIFT (0x00000013u)
#define CSL_PSC_PTSTAT_GOSTAT19_RESETVAL (0x00000000u)

#define CSL_PSC_PTSTAT_GOSTAT18_MASK (0x00040000u)
#define CSL_PSC_PTSTAT_GOSTAT18_SHIFT (0x00000012u)
#define CSL_PSC_PTSTAT_GOSTAT18_RESETVAL (0x00000000u)

#define CSL_PSC_PTSTAT_GOSTAT17_MASK (0x00020000u)
#define CSL_PSC_PTSTAT_GOSTAT17_SHIFT (0x00000011u)
#define CSL_PSC_PTSTAT_GOSTAT17_RESETVAL (0x00000000u)

#define CSL_PSC_PTSTAT_GOSTAT16_MASK (0x00010000u)
#define CSL_PSC_PTSTAT_GOSTAT16_SHIFT (0x00000010u)
#define CSL_PSC_PTSTAT_GOSTAT16_RESETVAL (0x00000000u)

#define CSL_PSC_PTSTAT_GOSTAT15_MASK (0x00008000u)
#define CSL_PSC_PTSTAT_GOSTAT15_SHIFT (0x0000000Fu)
#define CSL_PSC_PTSTAT_GOSTAT15_RESETVAL (0x00000000u)

#define CSL_PSC_PTSTAT_GOSTAT14_MASK (0x00004000u)
#define CSL_PSC_PTSTAT_GOSTAT14_SHIFT (0x0000000Eu)
#define CSL_PSC_PTSTAT_GOSTAT14_RESETVAL (0x00000000u)

#define CSL_PSC_PTSTAT_GOSTAT13_MASK (0x00002000u)
#define CSL_PSC_PTSTAT_GOSTAT13_SHIFT (0x0000000Du)
#define CSL_PSC_PTSTAT_GOSTAT13_RESETVAL (0x00000000u)

#define CSL_PSC_PTSTAT_GOSTAT12_MASK (0x00001000u)
#define CSL_PSC_PTSTAT_GOSTAT12_SHIFT (0x0000000Cu)
#define CSL_PSC_PTSTAT_GOSTAT12_RESETVAL (0x00000000u)

#define CSL_PSC_PTSTAT_GOSTAT11_MASK (0x00000800u)
#define CSL_PSC_PTSTAT_GOSTAT11_SHIFT (0x0000000Bu)
#define CSL_PSC_PTSTAT_GOSTAT11_RESETVAL (0x00000000u)

#define CSL_PSC_PTSTAT_GOSTAT10_MASK (0x00000400u)
#define CSL_PSC_PTSTAT_GOSTAT10_SHIFT (0x0000000Au)
#define CSL_PSC_PTSTAT_GOSTAT10_RESETVAL (0x00000000u)

#define CSL_PSC_PTSTAT_GOSTAT9_MASK (0x00000200u)
#define CSL_PSC_PTSTAT_GOSTAT9_SHIFT (0x00000009u)
#define CSL_PSC_PTSTAT_GOSTAT9_RESETVAL (0x00000000u)

#define CSL_PSC_PTSTAT_GOSTAT8_MASK (0x00000100u)
#define CSL_PSC_PTSTAT_GOSTAT8_SHIFT (0x00000008u)
#define CSL_PSC_PTSTAT_GOSTAT8_RESETVAL (0x00000000u)

#define CSL_PSC_PTSTAT_GOSTAT7_MASK (0x00000080u)
#define CSL_PSC_PTSTAT_GOSTAT7_SHIFT (0x00000007u)
#define CSL_PSC_PTSTAT_GOSTAT7_RESETVAL (0x00000000u)

#define CSL_PSC_PTSTAT_GOSTAT6_MASK (0x00000040u)
#define CSL_PSC_PTSTAT_GOSTAT6_SHIFT (0x00000006u)
#define CSL_PSC_PTSTAT_GOSTAT6_RESETVAL (0x00000000u)

#define CSL_PSC_PTSTAT_GOSTAT5_MASK (0x00000020u)
#define CSL_PSC_PTSTAT_GOSTAT5_SHIFT (0x00000005u)
#define CSL_PSC_PTSTAT_GOSTAT5_RESETVAL (0x00000000u)

#define CSL_PSC_PTSTAT_GOSTAT4_MASK (0x00000010u)
#define CSL_PSC_PTSTAT_GOSTAT4_SHIFT (0x00000004u)
#define CSL_PSC_PTSTAT_GOSTAT4_RESETVAL (0x00000000u)

#define CSL_PSC_PTSTAT_GOSTAT3_MASK (0x00000008u)
#define CSL_PSC_PTSTAT_GOSTAT3_SHIFT (0x00000003u)
#define CSL_PSC_PTSTAT_GOSTAT3_RESETVAL (0x00000000u)

#define CSL_PSC_PTSTAT_GOSTAT2_MASK (0x00000004u)
#define CSL_PSC_PTSTAT_GOSTAT2_SHIFT (0x00000002u)
#define CSL_PSC_PTSTAT_GOSTAT2_RESETVAL (0x00000000u)

#define CSL_PSC_PTSTAT_GOSTAT1_MASK (0x00000002u)
#define CSL_PSC_PTSTAT_GOSTAT1_SHIFT (0x00000001u)
#define CSL_PSC_PTSTAT_GOSTAT1_RESETVAL (0x00000000u)

#define CSL_PSC_PTSTAT_GOSTAT0_MASK (0x00000001u)
#define CSL_PSC_PTSTAT_GOSTAT0_SHIFT (0x00000000u)
#define CSL_PSC_PTSTAT_GOSTAT0_RESETVAL (0x00000000u)


#define CSL_PSC_PTSTAT_RESETVAL (0x00000000u)

/* PDSTAT */


#define CSL_PSC_PDSTAT_EMUIHB_MASK (0x00000800u)
#define CSL_PSC_PDSTAT_EMUIHB_SHIFT (0x0000000Bu)
#define CSL_PSC_PDSTAT_EMUIHB_RESETVAL (0x00000000u)

#define CSL_PSC_PDSTAT_PWRBAD_MASK (0x00000400u)
#define CSL_PSC_PDSTAT_PWRBAD_SHIFT (0x0000000Au)
#define CSL_PSC_PDSTAT_PWRBAD_RESETVAL (0x00000000u)

#define CSL_PSC_PDSTAT_PORDONE_MASK (0x00000200u)
#define CSL_PSC_PDSTAT_PORDONE_SHIFT (0x00000009u)
#define CSL_PSC_PDSTAT_PORDONE_RESETVAL (0x00000000u)

#define CSL_PSC_PDSTAT_PORZ_MASK (0x00000100u)
#define CSL_PSC_PDSTAT_PORZ_SHIFT (0x00000008u)
#define CSL_PSC_PDSTAT_PORZ_RESETVAL (0x00000000u)


#define CSL_PSC_PDSTAT_STATE_MASK (0x0000001Fu)
#define CSL_PSC_PDSTAT_STATE_SHIFT (0x00000000u)
#define CSL_PSC_PDSTAT_STATE_RESETVAL (0x00000000u)

#define CSL_PSC_PDSTAT_RESETVAL (0x00000000u)

/* PDCTL */

#define CSL_PSC_PDCTL_FORCE_MASK (0x80000000u)
#define CSL_PSC_PDCTL_FORCE_SHIFT (0x0000001Fu)
#define CSL_PSC_PDCTL_FORCE_RESETVAL (0x00000000u)


#define CSL_PSC_PDCTL_PWRSW_MASK (0x20000000u)
#define CSL_PSC_PDCTL_PWRSW_SHIFT (0x0000001Du)
#define CSL_PSC_PDCTL_PWRSW_RESETVAL (0x00000000u)

#define CSL_PSC_PDCTL_ISO_MASK (0x10000000u)
#define CSL_PSC_PDCTL_ISO_SHIFT (0x0000001Cu)
#define CSL_PSC_PDCTL_ISO_RESETVAL (0x00000000u)


#define CSL_PSC_PDCTL_WAKECNT_MASK (0x00FF0000u)
#define CSL_PSC_PDCTL_WAKECNT_SHIFT (0x00000010u)
#define CSL_PSC_PDCTL_WAKECNT_RESETVAL (0x00000000u)

#define CSL_PSC_PDCTL_PDMODE_MASK (0x0000F000u)
#define CSL_PSC_PDCTL_PDMODE_SHIFT (0x0000000Cu)
#define CSL_PSC_PDCTL_PDMODE_RESETVAL (0x00000000u)


#define CSL_PSC_PDCTL_EMUIHBIE_MASK (0x00000200u)
#define CSL_PSC_PDCTL_EMUIHBIE_SHIFT (0x00000009u)
#define CSL_PSC_PDCTL_EMUIHBIE_RESETVAL (0x00000000u)

#define CSL_PSC_PDCTL_EPCGOOD_MASK (0x00000100u)
#define CSL_PSC_PDCTL_EPCGOOD_SHIFT (0x00000008u)
#define CSL_PSC_PDCTL_EPCGOOD_RESETVAL (0x00000000u)


#define CSL_PSC_PDCTL_NEXT_MASK (0x00000001u)
#define CSL_PSC_PDCTL_NEXT_SHIFT (0x00000000u)
#define CSL_PSC_PDCTL_NEXT_RESETVAL (0x00000000u)

#define CSL_PSC_PDCTL_RESETVAL (0x00000000u)

/* PDCFG */


#define CSL_PSC_PDCFG_NEXT_LOCK_MASK (0x00000008u)
#define CSL_PSC_PDCFG_NEXT_LOCK_SHIFT (0x00000003u)
#define CSL_PSC_PDCFG_NEXT_LOCK_RESETVAL (0x00000000u)

#define CSL_PSC_PDCFG_ICEPICK_MASK (0x00000004u)
#define CSL_PSC_PDCFG_ICEPICK_SHIFT (0x00000002u)
#define CSL_PSC_PDCFG_ICEPICK_RESETVAL (0x00000000u)

#define CSL_PSC_PDCFG_RAM_PSM_MASK (0x00000002u)
#define CSL_PSC_PDCFG_RAM_PSM_SHIFT (0x00000001u)
#define CSL_PSC_PDCFG_RAM_PSM_RESETVAL (0x00000000u)

#define CSL_PSC_PDCFG_ALWAYSON_MASK (0x00000001u)
#define CSL_PSC_PDCFG_ALWAYSON_SHIFT (0x00000000u)
#define CSL_PSC_PDCFG_ALWAYSON_RESETVAL (0x00000000u)

#define CSL_PSC_PDCFG_RESETVAL (0x00000000u)

/* MDCFG */


#define CSL_PSC_MDCFG_PWRDOM_MASK (0x001F0000u)
#define CSL_PSC_MDCFG_PWRDOM_SHIFT (0x00000010u)
#define CSL_PSC_MDCFG_PWRDOM_RESETVAL (0x00000000u)


#define CSL_PSC_MDCFG_AUTO_ON_MASK (0x00004000u)
#define CSL_PSC_MDCFG_AUTO_ON_SHIFT (0x0000000Eu)
#define CSL_PSC_MDCFG_AUTO_ON_RESETVAL (0x00000000u)

#define CSL_PSC_MDCFG_RESET_ISO_MASK (0x00002000u)
#define CSL_PSC_MDCFG_RESET_ISO_SHIFT (0x0000000Du)
#define CSL_PSC_MDCFG_RESET_ISO_RESETVAL (0x00000000u)

#define CSL_PSC_MDCFG_NEXT_LOCK_MASK (0x00001000u)
#define CSL_PSC_MDCFG_NEXT_LOCK_SHIFT (0x0000000Cu)
#define CSL_PSC_MDCFG_NEXT_LOCK_RESETVAL (0x00000000u)

#define CSL_PSC_MDCFG_ASYNC_MASK (0x00000800u)
#define CSL_PSC_MDCFG_ASYNC_SHIFT (0x0000000Bu)
#define CSL_PSC_MDCFG_ASYNC_RESETVAL (0x00000000u)

#define CSL_PSC_MDCFG_ICEPICK_MASK (0x00000400u)
#define CSL_PSC_MDCFG_ICEPICK_SHIFT (0x0000000Au)
#define CSL_PSC_MDCFG_ICEPICK_RESETVAL (0x00000000u)

#define CSL_PSC_MDCFG_PERMDIS_MASK (0x00000200u)
#define CSL_PSC_MDCFG_PERMDIS_SHIFT (0x00000009u)
#define CSL_PSC_MDCFG_PERMDIS_RESETVAL (0x00000000u)

#define CSL_PSC_MDCFG_PLLHANDSHAKE_MASK (0x00000100u)
#define CSL_PSC_MDCFG_PLLHANDSHAKE_SHIFT (0x00000008u)
#define CSL_PSC_MDCFG_PLLHANDSHAKE_RESETVAL (0x00000000u)

#define CSL_PSC_MDCFG_NUMSCRDISBALE_MASK (0x000000C0u)
#define CSL_PSC_MDCFG_NUMSCRDISBALE_SHIFT (0x00000006u)
#define CSL_PSC_MDCFG_NUMSCRDISBALE_RESETVAL (0x00000000u)

#define CSL_PSC_MDCFG_NUMCLKEN_MASK (0x00000038u)
#define CSL_PSC_MDCFG_NUMCLKEN_SHIFT (0x00000003u)
#define CSL_PSC_MDCFG_NUMCLKEN_RESETVAL (0x00000000u)

#define CSL_PSC_MDCFG_NUMCLK_MASK (0x00000007u)
#define CSL_PSC_MDCFG_NUMCLK_SHIFT (0x00000000u)
#define CSL_PSC_MDCFG_NUMCLK_RESETVAL (0x00000000u)

#define CSL_PSC_MDCFG_RESETVAL (0x00000000u)

/* MDSTAT */


#define CSL_PSC_MDSTAT_EMUIHB_MASK (0x00020000u)
#define CSL_PSC_MDSTAT_EMUIHB_SHIFT (0x00000011u)
#define CSL_PSC_MDSTAT_EMUIHB_RESETVAL (0x00000000u)

#define CSL_PSC_MDSTAT_EMURST_MASK (0x00010000u)
#define CSL_PSC_MDSTAT_EMURST_SHIFT (0x00000010u)
#define CSL_PSC_MDSTAT_EMURST_RESETVAL (0x00000000u)


#define CSL_PSC_MDSTAT_MCKOPUT_MASK (0x00001000u)
#define CSL_PSC_MDSTAT_MCKOPUT_SHIFT (0x0000000Cu)
#define CSL_PSC_MDSTAT_MCKOPUT_RESETVAL (0x00000000u)

#define CSL_PSC_MDSTAT_MRSTDONE_MASK (0x00000800u)
#define CSL_PSC_MDSTAT_MRSTDONE_SHIFT (0x0000000Bu)
#define CSL_PSC_MDSTAT_MRSTDONE_RESETVAL (0x00000000u)

#define CSL_PSC_MDSTAT_MRSTZ_MASK (0x00000400u)
#define CSL_PSC_MDSTAT_MRSTZ_SHIFT (0x0000000Au)
#define CSL_PSC_MDSTAT_MRSTZ_RESETVAL (0x00000000u)

#define CSL_PSC_MDSTAT_LRSTDONE_MASK (0x00000200u)
#define CSL_PSC_MDSTAT_LRSTDONE_SHIFT (0x00000009u)
#define CSL_PSC_MDSTAT_LRSTDONE_RESETVAL (0x00000000u)

#define CSL_PSC_MDSTAT_LRSTZ_MASK (0x00000100u)
#define CSL_PSC_MDSTAT_LRSTZ_SHIFT (0x00000008u)
#define CSL_PSC_MDSTAT_LRSTZ_RESETVAL (0x00000000u)


#define CSL_PSC_MDSTAT_STATE_MASK (0x0000003Fu)
#define CSL_PSC_MDSTAT_STATE_SHIFT (0x00000000u)
#define CSL_PSC_MDSTAT_STATE_RESETVAL (0x00000000u)

#define CSL_PSC_MDSTAT_RESETVAL (0x00000000u)

/* MDCTL */

#define CSL_PSC_MDCTL_FORCE_MASK (0x80000000u)
#define CSL_PSC_MDCTL_FORCE_SHIFT (0x0000001Fu)
#define CSL_PSC_MDCTL_FORCE_RESETVAL (0x00000000u)


#define CSL_PSC_MDCTL_BLKCHIP1RST_MASK (0x00001000u)
#define CSL_PSC_MDCTL_BLKCHIP1RST_SHIFT (0x0000000Cu)
#define CSL_PSC_MDCTL_BLKCHIP1RST_RESETVAL (0x00000000u)

#define CSL_PSC_MDCTL_RESETISO_MASK (0x00000800u)
#define CSL_PSC_MDCTL_RESETISO_SHIFT (0x0000000Bu)
#define CSL_PSC_MDCTL_RESETISO_RESETVAL (0x00000000u)

#define CSL_PSC_MDCTL_EMUIHBIE_MASK (0x00000400u)
#define CSL_PSC_MDCTL_EMUIHBIE_SHIFT (0x0000000Au)
#define CSL_PSC_MDCTL_EMUIHBIE_RESETVAL (0x00000000u)

#define CSL_PSC_MDCTL_EMURSTIE_MASK (0x00000200u)
#define CSL_PSC_MDCTL_EMURSTIE_SHIFT (0x00000009u)
#define CSL_PSC_MDCTL_EMURSTIE_RESETVAL (0x00000000u)

#define CSL_PSC_MDCTL_LRSTZ_MASK (0x00000100u)
#define CSL_PSC_MDCTL_LRSTZ_SHIFT (0x00000008u)
#define CSL_PSC_MDCTL_LRSTZ_RESETVAL (0x00000000u)


#define CSL_PSC_MDCTL_NEXT_MASK (0x0000001Fu)
#define CSL_PSC_MDCTL_NEXT_SHIFT (0x00000000u)
#define CSL_PSC_MDCTL_NEXT_RESETVAL (0x00000000u)

#define CSL_PSC_MDCTL_RESETVAL (0x00000000u)

#endif
